<!-- Page Wrapper -->
<div id="wrapper">

  <!-- Sidebar -->
  <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" [ngClass]="{'toggled':sidebarToggled}"
      id="accordionSidebar">

    <!-- Sidebar - Brand -->
    <a class="sidebar-brand d-flex align-items-center justify-content-center" [routerLink]="['/']">
      <div class="sidebar-brand-icon" [ngClass]="{'d-md-none':!sidebarToggled}">
        <img src="../../../assets/favicon/android-chrome-192x192.png" title="Icon of the CLB Tool" height="70px">
      </div>
      <div class="sidebar-brand-text mx-3">labbooking.app</div>
    </a>

    <!-- Divider -->
    <hr class="sidebar-divider my-0">

    <!-- Nav Item - Dashboard -->
    <li class="nav-item" routerLinkActive="active">
      <a class="nav-link" [routerLink]="['/dashboard']">
        <fa-icon [icon]="faAddressBook" fixedWidth="true" class="px-md-1"></fa-icon>
        <span>Dashboard</span></a>
    </li>

    <ng-container *ngIf="auth.isMemberOfAnyTeam$ | async">
      <!-- Divider -->
      <hr class="sidebar-divider">

      <!-- Heading -->
      <div class="sidebar-heading">
        Add Booking
      </div>

      <!-- Nav Item - Pages Collapse Menu -->
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" [routerLink]="['/rooms']">
          <fa-icon [icon]="faCity" fixedWidth="true" class="px-md-1"></fa-icon>
          <span>Rooms</span>
        </a>
      </li>

      <!-- Nav Item - Book Devices -->
      <!--      <li class="nav-item" routerLinkActive="active">-->
      <!--        <a class="nav-link" [routerLink]="['/devices']">-->
      <!--          <fa-icon [icon]="faMortarPestle" fixedWidth="true" class="px-md-1"></fa-icon>-->
      <!--          <span>Devices</span>-->
      <!--        </a>-->
      <!--      </li>-->
    </ng-container>

    <ng-container *ngIf="auth.isMemberOfAnyTeam$ | async">
      <!-- Divider -->
      <hr class="sidebar-divider">

      <!-- Heading -->
      <div class="sidebar-heading">
        Manage
      </div>

      <!-- Nav Item - Tables -->
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" [routerLink]="['/manage','reports']">
          <fa-icon [icon]="faTable" fixedWidth="true" class="px-md-1"></fa-icon>
          <span>Reports</span></a>
      </li>
      <ng-container *ngIf="auth.isOwnerOfAnyTeam$ | async">
        <li class="nav-item" routerLinkActive="active">
          <a class="nav-link" [routerLink]="['/manage','rooms']">
            <fa-icon [icon]="faTable" fixedWidth="true" class="px-md-1"></fa-icon>
            <span>Room Configurations</span></a>
        </li>
        <li class="nav-item" routerLinkActive="active">
          <a class="nav-link" [routerLink]="['/manage','teams']">
            <fa-icon [icon]="faUsers" fixedWidth="true" class="px-md-1"></fa-icon>
            <span>Team Configurations</span></a>
        </li>
      </ng-container>
    </ng-container>

    <ng-container *ngIf="auth.isAdmin$ | async">
      <!-- Divider -->
      <hr class="sidebar-divider">

      <!-- Heading -->
      <div class="sidebar-heading">
        Admin
      </div>

      <!-- Nav Item - Tables -->
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" [routerLink]="['/admin','teams']">
          <fa-icon [icon]="faTable" fixedWidth="true" class="px-md-1"></fa-icon>
          <span>Manage Teams</span></a>
      </li>
    </ng-container>

    <!-- Divider -->
    <hr class="sidebar-divider d-none d-md-block">

    <!-- Sidebar Toggler (Sidebar) -->
    <div class="text-center d-none d-md-inline">
      <button class="rounded-circle border-0" id="sidebarToggle" (click)="toggleSidebar()">
        <fa-icon *ngIf="sidebarToggled" class="font-weight-bold" [icon]="faAngleRight" fixedWidth="true"
                 title="expand sidebar"></fa-icon>
        <fa-icon *ngIf="!sidebarToggled" class="font-weight-bold" [icon]="faAngleLeft" fixedWidth="true"
                 title="collapse sidebar"></fa-icon>
      </button>
    </div>

  </ul>
  <!-- End of Sidebar -->

  <!-- Content Wrapper -->
  <div id="content-wrapper" class="d-flex flex-column">

    <!-- Main Content -->
    <div id="content">
      <!-- Pwa update Bar -->
      <div class="p-4 text-white static-top bg-info" *ngIf="pwaUpdateAvailable">
        <h1 class="h4">Update available</h1>
        <p>There is a new version of this app available. You have to refresh this window in order to use this new version.</p>
        <button class="btn btn-warning" (click)="reloadApp()"><fa-icon [icon]="faSync" size="sm"></fa-icon> Reload App Now</button>
      </div>

      <!-- Topbar -->
      <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

        <!-- Sidebar Toggle (Topbar) -->
        <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3"
                (click)="toggleSidebar()">
          <fa-icon [icon]="faBars"></fa-icon>
        </button>
        <a [routerLink]="['/dashboard']" id="homeButtonTop" class="btn btn-link d-md-none rounded-circle mr-3"
           *ngIf="sidebarToggled" routerLinkActive="active">
          <fa-icon [icon]="faHome"></fa-icon>
        </a>

        <!-- Topbar Search -->
        <div class="d-inline-block mr-auto ml-md-3 my-2 my-md-0 mw-100 ">
          <ng-container *ngIf="auth.isMemberOfAnyTeam$ | async">
            <form [formGroup]="searchForm" class="form-inline navbar-search">
              <div class="input-group">
                <input type="text" class="form-control bg-light border-0 small" placeholder="Search for room"
                       aria-label="Search" aria-describedby="basic-addon2" formControlName="search">
                <div class="input-group-append">
                  <button class="btn btn-primary" type="button">
                    <fa-icon [icon]="faSearch" size="sm" fixedWidth></fa-icon>
                  </button>
                </div>
              </div>
            </form>
          </ng-container>
        </div>

        <!-- Topbar Navbar -->
        <ul class="navbar-nav ml-2">
          <!-- Nav Item - User Information -->
          <li class="nav-item dropdown no-arrow">
            <button class="btn btn-link nav-link dropdown-toggle" id="userDropdown" [matMenuTriggerFor]="userMenu">
              <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ (user$|async)?.name }}</span>
              <img class="img-profile rounded-circle" src="https://source.unsplash.com/oEHtXEg2-tA/60x60">
            </button>
            <!-- Dropdown - User Information -->
            <mat-menu #userMenu="matMenu">
              <button mat-menu-item (click)="askLogout()">
                <fa-icon [icon]="faSignOutAlt" size="sm" fixedWidth class="mr-2 text-gray-400"></fa-icon>
                Logout
              </button>
            </mat-menu>
          </li>

        </ul>

      </nav>
      <!-- End of Topbar -->

      <!-- Begin Page Content -->
      <div class="container-fluid">

        <router-outlet></router-outlet>

      </div>
      <!-- /.container-fluid -->

    </div>
    <!-- End of Main Content -->

    <!-- Footer -->
    <footer class="sticky-footer bg-white">
      <div class="container my-auto">
        <div class="copyright text-center my-auto">
          <span>Copyright &copy; LabBooking.App 2020</span>
        </div>
      </div>
    </footer>
    <!-- End of Footer -->

  </div>
  <!-- End of Content Wrapper -->

</div>
<!-- End of Page Wrapper -->

<!-- Scroll to Top Button-->
<a class="scroll-to-top rounded" href="#page-top">
  <i class="fas fa-angle-up"></i>
</a>

<!-- Logout Modal-->
<div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
     aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
      <div class="modal-footer">
        <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
        <a class="btn btn-primary" href="login.html">Logout</a>
      </div>
    </div>
  </div>
</div>
